// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) TempUsers() TempUsers { return TempUsers(t) }

type TempUsers struct{ alias string }

func (t TempUsers) TableAlias() string { return t.alias }
func (t TempUsers) name() string       { return "TempUsers" }
func (t TempUsers) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t TempUsers) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.Id(),
		c.Bio(),
		c.Status(),
		c.Surname(),
		c.Version(),
		c.IsBanned(),
		c.Timezone(),
		c.UserRole(),
		c.Username(),
		c.CreatedAt(),
		c.DeletedAt(),
		c.Firstname(),
		c.UpdatedAt(),
		c.IsMigrated(),
		c.IsVerified(),
		c.AffiliateCode(),
		c.FollowerCount(),
		c.ProfileImageUrl(),
	}
}

func (t TempUsers) Columns() TempUsersCols { return TempUsersCols{tableAlias: t.alias} }

type TempUsersCols struct{ tableAlias string }

func (c TempUsersCols) Id() string              { return colName(c.tableAlias, "Id") }              // STRING(36)
func (c TempUsersCols) Bio() string             { return colName(c.tableAlias, "Bio") }             // STRING(2048) NULL
func (c TempUsersCols) Status() string          { return colName(c.tableAlias, "Status") }          // STRING(20) NULL DEFAULT ("active")
func (c TempUsersCols) Surname() string         { return colName(c.tableAlias, "Surname") }         // STRING(256) NULL
func (c TempUsersCols) Version() string         { return colName(c.tableAlias, "Version") }         // STRING(36) NULL
func (c TempUsersCols) IsBanned() string        { return colName(c.tableAlias, "IsBanned") }        // BOOL
func (c TempUsersCols) Timezone() string        { return colName(c.tableAlias, "Timezone") }        // STRING(128) NULL
func (c TempUsersCols) UserRole() string        { return colName(c.tableAlias, "UserRole") }        // INT64 DEFAULT (0)
func (c TempUsersCols) Username() string        { return colName(c.tableAlias, "Username") }        // STRING(256)
func (c TempUsersCols) CreatedAt() string       { return colName(c.tableAlias, "CreatedAt") }       // TIMESTAMP NULL OPTIONS (allow_commit_timestamp = true)
func (c TempUsersCols) DeletedAt() string       { return colName(c.tableAlias, "DeletedAt") }       // TIMESTAMP NULL OPTIONS (allow_commit_timestamp = true)
func (c TempUsersCols) Firstname() string       { return colName(c.tableAlias, "Firstname") }       // STRING(256) DEFAULT ("")
func (c TempUsersCols) UpdatedAt() string       { return colName(c.tableAlias, "UpdatedAt") }       // TIMESTAMP NULL OPTIONS (allow_commit_timestamp = true)
func (c TempUsersCols) IsMigrated() string      { return colName(c.tableAlias, "IsMigrated") }      // BOOL DEFAULT (FALSE)
func (c TempUsersCols) IsVerified() string      { return colName(c.tableAlias, "IsVerified") }      // BOOL
func (c TempUsersCols) AffiliateCode() string   { return colName(c.tableAlias, "AffiliateCode") }   // STRING(10) NULL
func (c TempUsersCols) FollowerCount() string   { return colName(c.tableAlias, "FollowerCount") }   // INT64 DEFAULT (0)
func (c TempUsersCols) ProfileImageUrl() string { return colName(c.tableAlias, "ProfileImageUrl") } // STRING(256) NULL
